wreport::notes::Collect Struct Reference

RAII way to temporarily set a notes target. More...

`#include <notes.h>`

## Public Member Functions

| Collect (std::ostream &out)
| Direct notes to out for the lifetime of the object.

## Data Fields

std::ostream * | old
| Old target stream to be restored whemn the object goes out of scope.

## Detailed Description

RAII way to temporarily set a notes target.

Notes are sent to the given output stream for as long as the object is in scope.

The documentation for this struct was generated from the following file:

- notes.h